package com.caimei365.manager.dao;

import com.caimei365.manager.entity.caimei.KeyWord;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author zzj
 */
@Mapper
public interface KeyWordDao {
    List<KeyWord> findList(String keyword, Integer fromSearch, String beginTime, String endTime, Integer labelStatus);

    void updateLabelStatus(String id);

    List<KeyWord> findRecommendList(String keyword, String beginTime, String endTime);

    void updateRecommendFlag(String id);

    void insertLabel(String keyword);

    void insertLabelByExcel(String keyword);

    Integer findKeywordExist(String keyword);

    void updateDelFlag(String id);
}
