package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/7
 */
@Data
public class CmSku {

    /**
     * skuId
     */
    private Integer skuId;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 单品促销优惠价
     */
    private Double touchPrice;
    /**
     * 包装规格
     */
    private String unit;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 库存
     */
    private String stock;
    /**
     * 成本价选中标志：1固定成本 2比例成本
     */
    private Integer costCheckFlag;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 机构价
     */
    private Double price;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;
    /**
     * 无阶梯价起订量
     */
    private Integer minBuyNumber;
    /**
     * 拼团价
     */
    private Double collagePrice;
    /**
     * 限时特价(在采美超级会员商品中指超级会员价)
     */
    private Double discountPrice;
    private List<CmLadderPrice> ladderPriceList;
    /**
     * 超级会员会员折扣
     */
    private Double discount;
    /**
     * 超级会员价类型：1折扣，2优惠价
     */
    private Integer priceType;
}
