package com.caimei365.manager.entity.caimei;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
@Data
public class CmShopLabel {

    private Integer id;
    /**
     * 关联供应商关联Id
     */
    private Integer relevanceId;
    /**
     * 标签Id
     */
    private Integer keywordId;
    /**
     * 标签
     */
    private String keyword;
    /**
     * 搜索次数
     */
    private Integer frequency;
    /**
     * 最近搜索时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    private Date searchTime;
    /**
     * 选择标签时间
     */
    private String pickTime;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;
    /**
     * 标签库数据来源（1：手动添加；2：用户关键词统计；3：导入）
     */
    private Integer fromSearch;
}
